/*
 * A-maze-ing API
 * This document describes the API of the A-maze-ing evening server.    This API consists of three different endpoints, which are detailed below.   - To register yourself as a player use the Player endpoint.   - To get information about the available mazes and enter a specific maze use the Mazes endpoint.   - To navigate a maze use the Maze endpoint.
 *
 * OpenAPI spec version: v2
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.api;

import io.swagger.client.model.MazeInfo;
import io.swagger.client.model.PossibleActionsAndCurrentScore;
import org.junit.Test;
import org.junit.Ignore;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for MazesApi
 */
@Ignore
public class MazesApiTest {

    private final MazesApi api = new MazesApi();

    
    /**
     * 📜 All the mazes that exist in the game.
     *
     * Even though you can only play a maze once, this method will return all the mazes. This is not laziness from the server side, this is to make it slightly more \&quot;interesting\&quot;, because you need to keep track of the mazes you have already played on your implementation.
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void allTest() throws Exception {
        List<MazeInfo> response = api.all();

        // TODO: test validations
    }
    
    /**
     * 🌟 Enter a maze.
     *
     * Keep in mind that you can only be playing one maze at a time. Invoking this method when you are already in a maze will result in a failure. Also, you can only play the same maze once. If you wish to play the same maze \&quot;multiple times\&quot;, you need to request to forget your player data (via the player API).
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void enterTest() throws Exception {
        String mazeName = null;
        PossibleActionsAndCurrentScore response = api.enter(mazeName);

        // TODO: test validations
    }
    
}
